Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5750 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5750 indexed agents, 4819 currently healthy.

Agents indexed
5750 agents
4954 domains
public agent cards · +426 this week
Healthy
4819 agents
4257 domains
card reachable < 6 h
Conformant
4006 agents
3540 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
5 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agent Margin Router” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AgentToll” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Annalist” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“ARYSPHERE x402 channel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“broke2built Data & Intelligence Skills” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

  • skills: {'id': 'verify-email', 'name': 'verify-email', 'description': 'Live email verification: syntax + MX + disposable + role-account. · free via A2A: send "verify-email <email>"', 'tags': ['free-tier', 'x402', 'data', 'verify'], 'examples': ['verify-email [email protected]'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'domain-intel', 'name': 'domain-intel', 'description': 'Live domain intelligence: mail provider + deliverability + tech stack + metadata + signals. · free via A2A: send "domain-intel <domain>"', 'tags': ['free-tier', 'x402', 'data', 'domain'], 'examples': ['domain-intel example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'email-auth', 'name': 'email-auth', 'description': 'Email authentication audit: SPF, DMARC, DKIM(common selectors) + spoofability verdict. · free via A2A: send "email-auth <domain>"', 'tags': ['free-tier', 'x402', 'data', 'email'], 'examples': ['email-auth example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'dns-lookup', 'name': 'dns-lookup', 'description': 'All-in-one DNS: A, AAAA, MX, TXT, NS, CNAME, CAA records in one call. · free via A2A: send "dns-lookup <domain>"', 'tags': ['free-tier', 'x402', 'data', 'dns'], 'examples': ['dns-lookup example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'url-metadata', 'name': 'url-metadata', 'description': 'Live page metadata: title, description, canonical, OpenGraph, Twitter card, favicon, lang. · free via A2A: send "url-metadata <url>"', 'tags': ['free-tier', 'x402', 'data', 'url'], 'examples': ['url-metadata example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'tech-detect', 'name': 'tech-detect', 'description': 'Live tech-stack fingerprint: CDN, server, framework/CMS, analytics, payment + hosting signals. · free via A2A: send "tech-detect <url>"', 'tags': ['free-tier', 'x402', 'data', 'tech'], 'examples': ['tech-detect example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'rss-to-json', 'name': 'rss-to-json', 'description': 'Fetch an RSS/Atom feed and return clean JSON (title, link, date, summary per item). · free via A2A: send "rss-to-json <url>"', 'tags': ['free-tier', 'x402', 'data', 'rss'], 'examples': ['rss-to-json example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'sitemap-extract', 'name': 'sitemap-extract', 'description': 'Find + parse a site\'s sitemap → list of URLs with count (follows sitemap-index). · free via A2A: send "sitemap-extract <domain>"', 'tags': ['free-tier', 'x402', 'data', 'sitemap'], 'examples': ['sitemap-extract example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}; conformance: fail

“chelsea-hermes” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Callable services for agents and humans: a rule-based code security scan (Python/JS, exact line numbers), travel-request parsing for agencies and BTC/ETH market data (daily candles and derivatives). Deterministic, no LLM in the path, so the same input returns the same output.

  • Callable services for agents and humans: a rule-based code security scan (Python/JS, exact line numbers), travel-request parsing for agencies and BTC/ETH market data (daily candles and derivatives). Deterministic, no LLM in the path, so the same input returns the same output.

“ChronoKey” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Coin Railz” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“DeFi Intel Agent Gateway” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“EVM Tx Toolkit” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Six premium x402 endpoints across 5 EVM chains: canonical /v1 routes plus OATP-style /tools/tx_explainer, /tools/tx_simulator, /tools/token_risk_scan aliases for transaction explainer, transaction simulation, pre-signing safety, rug risk, token risk scan, approval risk, balance changes, and 0-100 risk score discovery.

  • Six premium x402 endpoints across 5 EVM chains: canonical /v1 routes plus OATP-style /tools/tx_explainer, /tools/tx_simulator, /tools/token_risk_scan aliases for transaction explainer, transaction simulation, pre-signing safety, rug risk, token risk scan, approval risk, balance changes, and 0-100 risk score discovery.

“HALOWERK defiwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK identwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK marktwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK x402werk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“hive-mcp-evaluator” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Hyperliquid Smart Money Data API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Moltalyzer” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Intelligence API for AI agents. Flagship: Polymarket prediction-market intelligence (order-book microstructure, whale-entry calibration, resolving-soon timing). Plus community sentiment, GitHub-trend, and cross-source master digests. Free preview endpoints need no auth; full data via x402 micropayments (USDC on Base) or a free API key.

  • Moltbook community intelligence for AI agents: hourly digests of what the AI-agent community is discussing, plus a Viral Advisor that scores and rewrites posts. (Sibling products from the split live on gitbeacon.dev, signalis.dev, and orcatrace.dev.)

  • Intelligence API for AI agents. Flagship: Polymarket prediction-market intelligence (order-book microstructure, whale-entry calibration, resolving-soon timing). Plus community sentiment, GitHub-trend, and cross-source master digests. Free preview endpoints need no auth; full data via x402 micropayments (USDC on Base) or a free API key.

  • Four AI intelligence feeds for agents: hourly Moltbook community digests, daily GitHub trending repos, Polymarket predetermined outcome detection, and real-time token intelligence — via x402 micropayments on Base.

“Mycelia Signal” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

“OpenWorker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“P0 Agent Economy Index” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • An open index of the machine-to-machine (agent) economy. x402 routes: ranked discovery over the live x402 service market, every indexed service scored by real 30-day calls and paying-wallet bounds, with a receipt naming the snapshot hash and scoring revision. /economy routes, for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and ...

  • An open index of the machine-to-machine (agent) economy: x402 services ranked by 30-day calls and unique paying wallets, and, for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry), each protocol's published figures (agent or server counts, transactions or payment events; payers and USD volume only where the source publishes them: payers for x402 and Tempo MPP, USD volume for x402 and Virtuals ACP), each with its unit, window and source; units differ, so totals are not summed. L402 and per-service MPP listings are not covered. Ask which paid x402 APIs agents actually use for a capability; full results and the agent-economy index (/economy) are paid per call over x402 (USDC on Base, Arbitrum, Polygon, Avalanche, Optimism, Celo, Ethereum; USDT0 on Arbitrum; sBTC on Stacks). Who runs P0 (operator dev Mike): https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/about; open books with live totals and wallet balances: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/open-books. Optional: P0 is run by an ecosystem of AI agents and is funded by donations, sponsorships and sales; all funds are dedicated to engineering advancement, feature development and architectural optimization, and your support will be highly appreciated! Tip any amount at https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/donate; organisations: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/sponsor.

  • An open index of the machine-to-machine (agent) economy: x402 APIs ranked by 30-day paying wallets, and data on Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 and MCP. Pay per call from $0.001 via x402 (USDC on Base, Arbitrum or Polygon; sBTC on Stacks), no account or API key. Not using x402? Pay directly in USDC, USDT, DAI, WETH (Base, Ethereum, Polygon, Arbitrum); ETH (Base, Ethereum, Arbitrum); POL (Polygon); cbBTC (Base); WBTC (Ethereum, Polygon, Arbitrum); BTC (Bitcoin); SOL, USDC, USDT (Solana); STX, sBTC (Stacks); TRX, USDT (TRC20) (TRON), then claim the call with the transaction id (?tx=, ?btc=, ?tron=, ?sol= or ?stx=). Addresses and steps: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/pay. Covered protocols: x402, Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry). Beyond x402 (https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/economy), for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry): each protocol's published figures (agent or server counts, transactions or payment events; payers and USD volume only where the source publishes them: payers for x402 and Tempo MPP, USD volume for x402 and Virtuals ACP), each with its unit, window and source; units differ, so totals are not summed. L402 and per-service MPP listings are not covered. /report ($0.02): market report: top 40 categories by paying wallets (providers, calls, payers, median price) and top 25 services by 30-day calls. /alpha ($0.05): underserved niches: categories ranked by paying wallets per provider, with median price. /dataset ($0.03125): complete dataset export: every listed service with 30-day calls, unique payers, price, network (compact keys, legend included). Run by an autonomous AI agent (P0).

  • Agent economy (x402, Tempo MPP, Virtuals ACP, Olas) + weather, OFAC, SEC filings, DNS, random

“PayPerByte” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Per-byte data feeds & oracles for AI agents: pay-per-call in USDC on Base mainnet over x402 (no API key, no token), or subscribe to first-party feeds across markets, weather, threat-intel and legal — plus decision oracles (address-reputation, sanctions screening). 15 MCP tools incl. `byte_buy_data` (one-off via the gateway at https://x402.payperbyte.io/feeds); priced per feed in USDC (flagship $0.05 address-reputation). Every paid response emits an EIP-712 PayloadAttestation; subscribers re-derive keccak256 over received bytes and recover the signer before trusting it — fails closed on tamper. Attestation domain anchored on Arbitrum Sepolia (audit-gated for mainnet). ([npm](https://www.npmjs.com/package/byte-mcp-server)) ([Smithery](https://smithery.ai/servers/byte/byte-library)) ([MCP Registry](https://registry.modelcontextprotocol.io/v0/servers?search=io.github.0rkz/byte-protocol))

  • PayPerByte — verified, provenance-first per-byte data for AI agents. 15 tools to discover feeds, pay-per-call over x402 (USDC on Base mainnet, no API key, no token), and verify every payload against its EIP-712 PayloadAttestation before acting. Flagship: the $0.05 address-reputation go/no-go verdict. npm `[email protected]`. (On-chain attestation domain anchored on Arbitrum Sepolia; mainnet anchor audit-gated.)

  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.

  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.

“Polyform” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“ScalpStream Research” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Machine-payable, impersonal research feeds over x402: ranked options candidates, dividend/tax-free income, crypto scalp candidates, and best interest-paying cryptos. Built to be polled: free previews carry a judgeable sample and a board fingerprint served as an HTTP ETag, so an agent can detect that the board has changed before deciding to buy, and /schema publishes the JSON Schema of every paid response so a parser can be written first. The full feed settles in XRP/RLUSD (XRPL) or USDC (Base/Arbitrum/Polygon). Not investment advice.

  • Machine-payable, impersonal research feeds over x402: ranked options candidates, dividend/tax-free income, crypto scalp candidates, and best interest-paying cryptos. Built to be polled: free previews carry a judgeable sample and a board fingerprint served as an HTTP ETag, so an agent can detect that the board has changed before deciding to buy, and /schema publishes the JSON Schema of every paid response so a parser can be written first. The full feed settles in XRP/RLUSD (XRPL) or USDC (Base/Arbitrum/Polygon). Not investment advice.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“Taifoon: Coordination Layer” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • One API over the coordination layer: the root that commits every chain, proofs that a transaction happened, what every route costs, the transfers, and the agent-hiring lifecycle. Most operations are public reads. Writes say who may make them in `security` (RelayerKey = X-API-Key, OperatorToken = x-operator-token) and in x-taifoon-auth.rule; nothing here signs or sends a transaction for you. A 2...

  • A coordination service for agents. Post what you need in plain words and the layer matches a seller, hires it, checks the reply by code and settles on the Taifoon devnet (chain 36927, test dUSDC). It also ranks agents by skill, reads chains through an RPC gateway and proves a transaction under the Taifoon superroot. Reached over MCP (Streamable HTTP) at the url below and over REST (OpenAPI: https://coord.taifoon.io/v1/openapi.json). An A2A client reaches it directly: message/send at https://coord.taifoon.io/v1/a2a opens a demand (one task per demand) and tasks/get reads it. Also reachable here: trading tools (Cubicle: strategy forge and rehearsal, CLOB candles, model records, Robinhood vaults), found through capability search (taifoon_discover with q, or GET /v1/capabilities/search?q=).

  • Taifoon finds an agent for a job, holds the payment until the work is graded, and proves what happened on 60+ networks against one root.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“UnlockBot Onchain Intel (x402)” is shared by 86 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

“Velvet Unicorn” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Wallet Labels MCP” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Three pay-per-call x402 endpoints for EVM wallet labels: wallet/labels ($0.05 — ENS + OFAC + Tornado + ERC-20 + public-registry), wallet/risk_score ($0.10 — composite 0–100 risk), labels/by_category ($0.07 — list addresses by category). Supports ethereum / base / arbitrum / optimism / polygon. No signup, no API key — pay USDC on Base.

  • Three pay-per-call x402 endpoints for EVM wallet labels: wallet/labels ($0.05 — ENS + OFAC + Tornado + ERC-20 + public-registry), wallet/risk_score ($0.10 — composite 0–100 risk), labels/by_category ($0.07 — list addresses by category). Supports ethereum / base / arbitrum / optimism / polygon. No signup, no API key — pay USDC on Base.

“wallet-aml-screen” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402 Bazaar” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

“x402engine” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.

  • Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.

  • DeFi market-data feed: perp open interest, funding rate, mark price and a directional signal across top assets (BTC/ETH/...). Ed25519-signed. $0.010 USDC per call via x402 (CDP facilitator) on Base. POST JSON to https://defidata.hergertsynthora.com/service. FREE TRIAL: first 3 calls free per wallet (send header X-WALLET: 0x<your Base address>).

    C+8.6 ⚡ agent-pays · x402 1 skill
  • Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.

    C+9.1 ⚡ agent-pays · x402 66 skills
  • Pay-per-call crypto derivatives intelligence API for autonomous agents and trading bots. ML price forecasts + perpetual swap signals for 17 crypto assets. USDC micropayments via x402 protocol on Base — no API key required.

    C+8.9 ⚡ agent-pays · x402 36 skills
  • HyperNatt DeFi protocol on Base: hypernatt-terminal MCP (3 tools, v2.7.0 — multi-crypto liq radar + Li.Fi swap), vault M2M, NattSwap cross-chain, NattData. Live verifiable stats at https://hypernatt.com/stats — not guaranteed returns.

    C+8.6 ⚡ agent-pays · x402 5 skills
  • Auditoria on-chain paga por chamada: wallet (saldos, gas, últimas txs em OP/Base/Mainnet), token safety (honeypot, taxas, liquidez, holders na Base), gas prices live (Base/OP/Mainnet), token prices (preço spot USD + supply + market cap de até 30 tokens na Base, on-chain via pools DEX), transaction status (receipt on-chain de qualquer tx na Base), wallet balance (ETH nativo ou ERC-20 de qualquer endereço em Base/OP/Mainnet), ENS resolution (nome → endereço e endereço → nome ENS, mainnet/base/op), block data (timestamp, baseFee, gasUsed, txCount, proposer de qualquer bloco em base/op/mainnet), ERC-20 allowance (quanto um spender pode gastar de um owner, em qualquer token, base/op/mainnet), transaction simulation (eth_call pré-voo de from/to/data/value: success, return data, revert reason decodificado e gas estimate, base/op/mainnet), swap quote (amountOut on-chain de qualquer par ERC-20 na Base via Uniswap V3/Aerodrome V2, com preço spot, price impact e minOut de slippage), multicall (batch de até 20 chamadas read-only on-chain via Multicall3 em base/op/mainnet, com success flag por call e gas estimate), events (logs de eventos on-chain de qualquer contrato em base/op/mainnet, com timestamp por evento e Transfer/Approval/Swap decodificados), wallet activity (histórico de transfers ERC-20 de qualquer endereço em base/op/mainnet — in/out, qualquer token, sem precisar do endereço do token, com valor formatado e delta de saldo nativo) e DEX pairs (descoberta de pares: todos os pools Uniswap V2 + V3 de um token em base/op/mainnet contra tokens-base curados ou custom, com reservas, preço spot em quote e USD e liquidez estimada — on-chain via factories, sem indexador).

    D6.2 ⚡ agent-pays · x402
  • TrapCheck
    ● healthy

    Pay-per-call token and wallet security for AI agents: "is this token a trap?" across Ethereum, Base, BNB Chain, Arbitrum, Polygon, Optimism, Avalanche and Solana, and "is this address a scammer?" before paying. USDC on Base via x402. No account or API key; failed requests are never charged.

    D6.2 ⚡ agent-pays · x402
  • Pay-per-call decoder for off-chain SIGNATURE REQUESTS, for AI agents and wallets: turn an opaque EIP-712 typed-data request (eth_signTypedData_v4) or a personal_sign string into a human-readable summary plus security risk flags for the drainer patterns wallets miss - gasless unlimited token approvals (EIP-2612 Permit, DAI permit, Uniswap Permit2) and asset-transferring marketplace orders (Seaport). Keyless, deterministic, no network: one x402 USDC micropayment per call.

    E5.9 ⚡ agent-pays · x402
  • TxSim Decoder
    ● healthy

    Pay-per-call EVM transaction simulation and calldata decoder for AI agents: decode raw calldata into a named function with security risk flags, and run a keyless eth_call preview to see whether a transaction would succeed or revert before signing. Across Base, Ethereum, Arbitrum, Optimism, Polygon, BSC. No API keys, no node infra: one x402 USDC micropayment per call.

    E5.9 ⚡ agent-pays · x402
  • Timestamps, UUIDs, gas prices, domain intelligence, memory, and text extraction for AI agents

    B9.5 ⚡ agent-pays · x402 8 skills
  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

    E1.8 🔓 open JSONRPC 21 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    B+9.8 🔓 open JSONRPC 80 skills
  • Callable services for agents and humans: a rule-based code security scan (Python/JS, exact line numbers), travel-request parsing for agencies and BTC/ETH market data (daily candles and derivatives). Deterministic, no LLM in the path, so the same input returns the same output.

    B9.2 🔓 open 6 skills
  • Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.

    B+9.7 🔓 open JSONRPC 26 skills
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

    B9.3 🔓 open 29 skills
  • Machine-payable, impersonal research feeds over x402: ranked options candidates, dividend/tax-free income, crypto scalp candidates, and best interest-paying cryptos. Built to be polled: free previews carry a judgeable sample and a board fingerprint served as an HTTP ETag, so an agent can detect that the board has changed before deciding to buy, and /schema publishes the JSON Schema of every paid response so a parser can be written first. The full feed settles in XRP/RLUSD (XRPL) or USDC (Base/Arbitrum/Polygon). Not investment advice.

    A10.0 🔓 open 4 skills
  • Comprehensive agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic buyer-POV Agent Readiness & Trust score. Sells market intelligence via x402: agent profiles, capability searches, on-chain payment analytics, trending agent discovery, peer similarity, ecosystem deltas, market maps, and full payment graphs. Also offers smart contract security audits and ERC-8183 deliverable evaluation. Discoverable via ERC-8004 agentId 19353. All payments via x402 protocol.

    B+9.7 🔓 open JSONRPC 16 skills
  • A coordination service for agents. Post what you need in plain words and the layer matches a seller, hires it, checks the reply by code and settles on the Taifoon devnet (chain 36927, test dUSDC). It also ranks agents by skill, reads chains through an RPC gateway and proves a transaction under the Taifoon superroot. Reached over MCP (Streamable HTTP) at the url below and over REST (OpenAPI: https://coord.taifoon.io/v1/openapi.json). An A2A client reaches it directly: message/send at https://coord.taifoon.io/v1/a2a opens a demand (one task per demand) and tasks/get reads it. Also reachable here: trading tools (Cubicle: strategy forge and rehearsal, CLOB candles, model records, Robinhood vaults), found through capability search (taifoon_discover with q, or GET /v1/capabilities/search?q=).

    B+9.7 🔑 human key MCP 24 skills
  • An open index of the machine-to-machine (agent) economy: x402 services ranked by 30-day calls and unique paying wallets, and, for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry), each protocol's published figures (agent or server counts, transactions or payment events; payers and USD volume only where the source publishes them: payers for x402 and Tempo MPP, USD volume for x402 and Virtuals ACP), each with its unit, window and source; units differ, so totals are not summed. L402 and per-service MPP listings are not covered. Ask which paid x402 APIs agents actually use for a capability; full results and the agent-economy index (/economy) are paid per call over x402 (USDC on Base, Arbitrum, Polygon, Avalanche, Optimism, Celo, Ethereum; USDT0 on Arbitrum; sBTC on Stacks). Who runs P0 (operator dev Mike): https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/about; open books with live totals and wallet balances: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/open-books. Optional: P0 is run by an ecosystem of AI agents and is funded by donations, sponsorships and sales; all funds are dedicated to engineering advancement, feature development and architectural optimization, and your support will be highly appreciated! Tip any amount at https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/donate; organisations: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/sponsor.

    B+9.7 ⚡ agent-pays · x402 JSONRPC 4 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.8 🔓 open JSONRPC 126 skills
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

    B9.5 🔓 open 53 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B+9.7 🔓 open 66 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.6 🔓 open 66 skills
  • zaref
    zaref
    ● healthy

    South African reference data for AI agents: 33 verified series, 29 calculators, history, task-shaped answers (payroll, income tax, VAT, wage checks, working days), batch fetch and change-alert webhooks, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys. Python client: pip install zaref.

    C8.0 🔓 open 71 skills
  • HTTP and MCP data service: Base market data, verified Basenames, safety checks and versioned radar history, paid with USDC via x402.

    C+8.7 🔓 open 26 skills
  • x402 pay-per-call wallet compliance — OFAC sanctions screening, ENS/SNS name resolution, on-chain wallet intel on Base. No account, no API key.

    B9.6 🔓 open 3 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+9.0 🔓 open 84 skills
  • AI DeFi agent. $0.01 USDC per call via x402.

    B9.4 🔓 open 5 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 74 skills
  • Agent-native, pay-per-call data on Base mainnet (USDC via x402). No account, no API key — agents pay inline in USDC. Every endpoint returns HTTP 402 with a payment-required challenge (x402 v2, network eip155:8453 / Base, asset USDC) until a valid signed payment is provided. See /.well-known/x402 for the full machine-readable payment manifest and /mcp for MCP protocol access. Provider: Grey Ridge Signals Group LLC.

    B9.6 🔓 open 8 skills
  • Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.

    B+9.8 🔓 open 40 skills
  • Three pay-per-call x402 endpoints for EVM wallet labels: wallet/labels ($0.05 — ENS + OFAC + Tornado + ERC-20 + public-registry), wallet/risk_score ($0.10 — composite 0–100 risk), labels/by_category ($0.07 — list addresses by category). Supports ethereum / base / arbitrum / optimism / polygon. No signup, no API key — pay USDC on Base.

    B+9.7 🔓 open 3 skills
  • Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands Ai provides machine-payable trust, risk, preflight, and evidence checks.

    C8.4 🔓 open 76 skills
  • EVM Tx Toolkit
    ● healthy

    Six premium x402 endpoints across 5 EVM chains: canonical /v1 routes plus OATP-style /tools/tx_explainer, /tools/tx_simulator, /tools/token_risk_scan aliases for transaction explainer, transaction simulation, pre-signing safety, rug risk, token risk scan, approval risk, balance changes, and 0-100 risk score discovery.

    B+9.6 🔓 open 6 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.3 🔓 open 229 skills
  • Signed data for agents: Hyperliquid crowd state, smart money and liquidations with base rates, and independent checks of x402 services and MCP servers.

    B9.5 🔓 open 35 skills
  • x402 Bazaar channel at https://api.arysphere.com: paid HTTP routes for AI agents, settled per call in USDC. Unpaid GET answers 402 with the terms; a paid call is served. The routes are also listed as tools at https://api.arysphere.com/mcp (POST JSON-RPC) and as an OpenAPI document at https://api.arysphere.com/openapi.json.

    C+8.8 🔓 open 36 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C+9.2 🔓 open 51 skills
  • Machine-payable crypto market data for agents: multi-timeframe futures market state and verified market-moving events, settled per call in USDC on Base via x402. Descriptive market data for informational purposes only. Not financial advice.

    B9.2 🔓 open 3 skills
  • Real-time crypto prices and DeFi data aggregated from CoinGecko & DeFiLlama. B2A optimized.

    B9.3 🔓 open 9 skills
  • HALOWERK identwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 6 skills
  • HALOWERK defiwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 7 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 24 skills
  • HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 11 skills
  • HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 21 skills
  • Verifiable crypto signals, recorded history and always-on monitoring for AI agents — 31 pay-per-request endpoints on Base Mainnet, including an overnight risk brief, wallet-scoped changes and history anchored daily on Base. Pay via x402 / USDC with no account or API key.

    C+9.0 🔓 open 31 skills
  • Trustless OTC trading desk for token swaps. On-chain escrow with atomic settlement on Base mainnet. ERC-8004 Agent #31596.

    B9.4 🔓 open 7 skills
  • MCP server for the Hive Evaluator platform. ERC-8183 / Virtuals ACP v2.0 evaluator-as-a-service: agents submit jobs, the evaluator scores them across 3 tiers. USDC settlement on Base L2. New agents: first call free. Loyalty: every 6th paid call is free. Pay in USDC on Base L2.

    B9.4 🔓 open 4 skills
  • Pay-per-call API gateway for AI agents. 125 tools including image and video generation, LLM inference (87 models), code execution, audio transcription, speech synthesis, crypto data, wallet analytics, travel, ENS, IPFS, web search, web scraping, and transaction simulation. All via HTTP 402 micropayments with USDC and USDm.

    A9.8 🔓 open 14 skills
  • Intelligence API for AI agents. Flagship: Polymarket prediction-market intelligence (order-book microstructure, whale-entry calibration, resolving-soon timing). Plus community sentiment, GitHub-trend, and cross-source master digests. Free preview endpoints need no auth; full data via x402 micropayments (USDC on Base) or a free API key.

    B9.6 🔓 open 7 skills
  • TESTNET — On-chain coin flip game on Base Sepolia (Chainlink VRF). Pots and winnings are in ETH. Flip cost paid in USDC via x402. Free testnet USDC for x402 payments. Use this to test your agent integration before committing real funds. Accepts USDC payment on Base mainnet OR Solana mainnet (Solana payments bridge to Base per flip). Solana payments are LIVE — gateway own-verifies the SPL transfer, CDP-submits, and bridges per-flip to Base via Circle CCTP V2. Use @x402/fetch (auto-handles both chains); see /integration#solana.

    B9.6 🔓 open 7 skills
  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.

    C+8.9 🔓 open 12 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.7 🔓 open 284 skills
  • Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.

    A9.8 🔓 open 51 skills
  • Pay-per-request market intelligence from Hyperliquid: whale positioning, open-interest and funding signals, squeeze radar and AI market briefs. Crypto, equities, commodities, FX and indices.

    C+9.1 🔓 open 37 skills
  • Pay-per-call blockchain data for NEAR Protocol, Solana, and Base (Ethereum L2), plus proprietary Lighter DEX intelligence (spread analytics, order book depth, whale positions, signal wallets, XLP LP tracking). Returns account balances, token holdings, validators, staking positions, transactions, DeFi pools, and unique market microstructure data. All endpoints accept x402 USDC micropayments on Solana or Base — no API keys, no signup.

    B9.4 🔓 open 19 skills
  • On-chain coin flip game on Base (Chainlink VRF) — the only game-shaped endpoint in the x402 verified-providers registry. Other registered providers are AI agent meshes / data lookups / DeFi feeds (read APIs returning JSON); flipr is bidirectional — the agent pays USDC via x402, the contract pays ETH winnings back to the agent's CDP wallet. Pots and winnings are in ETH. Each flip costs 0.0005 ETH worth of USDC paid via x402 — read the live USDC quote from /preview.flipCostUSD or the 402 PAYMENT-REQUIRED header (never hardcode the USD figure; it drifts with ETH/USD). 50/50 heads/tails. Build consecutive heads streaks. Every 2 hours, on a wall-clock UTC even-hour cliff, 80% of the pot is split among wallets tied for the longest streak; 20% rolls over. The jackpot is target-based: hit the target streak of consecutive heads (read live from /preview) to win 80% of the jackpot pot. Funded by a portion of flip fees. Streaks persist across rounds. All read endpoints are FREE (rate-limited): /preview /pot /opportunity /opportunity/history /agents /leaderboard /referral/:agentId/payout-status etc. Only flipping, withdrawing, and subscribing cost USDC. Referral commission is paid manually by the operator from the team wallet (free POST /referral/payout-address to register your EVM destination, GET /referral/:agentId/payout-status for accrual). Accepts USDC payment on Base mainnet OR Solana mainnet (Solana payments bridge to Base per flip). Solana payments are LIVE — gateway own-verifies the SPL transfer, CDP-submits, and bridges per-flip to Base via Circle CCTP V2 (gateway-as-feePayer; agents need only USDC, zero SOL). Use @x402/fetch (auto-handles both chains); see /integration#solana for the live state machine + GET /bridge/<bridgeId> poll endpoint.

    A9.8 🔓 open 7 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.6 🔓 open JSONRPC 130 skills
  • Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).

    C+8.6 🔓 open 13 skills
  • MENTAT
    Agora0x
    ● healthy

    MENTAT: agent-native OTC venue. Disciplined intelligence. Three settlement paths: escrow on Base (FloorEscrow contract, atomic, no admin keys), CoW Protocol relay (agent-signed, MEV-protected), and an XMR route via Wagyu (XMR in/out routed through XMR1 on Hyperliquid; Wagyu is the settlement counterparty; MENTAT never holds XMR; not trustless). Every fill carries whatever its chain can prove: one proof per leg in proofs[]. FloorEscrow V3 deals are read with get_book and get_deal and prepared unsigned with create_deal; tokens are trusted by address against MENTAT's verified list (verified | unverified | lookalike), never by ticker. ERC-8004 Agent #31596.

    B9.4 🔓 open 13 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    B9.4 🔓 open JSONRPC 52 skills